/* testing Level
 */

#include <climits>
#include "basics/level.hh"
#include "basics/typedefs.hh"

int main(int argc, char** argv) {
  using namespace concepts;

  Level<1> a(2), b(3), e;
  std::cout << "a = " << a << std::endl;
  std::cout << "b = " << b << std::endl;
  std::cout << "e = " << e << std::endl;
  std::cout << "a==b = " << (a==b ? "true" : "false") << std::endl;

  Level<3> c(1), d(4);
  std::cout << "c = " << c << std::endl;
  std::cout << "d = " << d << std::endl;
  std::cout << "c==d = " << (c==d ? "true" : "false") << std::endl;
  std::cout << "c<d = " << (c<d ? "true" : "false") << std::endl;
  std::cout << "c>d = " << (c>d ? "true" : "false") << std::endl;

  c.l_[0] = 4; c.l_[1] = 5;
  std::cout << "c = " << c << std::endl;
  std::cout << "c==d = " << (c==d ? "true" : "false") << std::endl;
  std::cout << "c<d = " << (c<d ? "true" : "false") << std::endl;
  std::cout << "c>d = " << (c>d ? "true" : "false") << std::endl;

  c.l_[1] = 4; c.l_[2] = 4;
  std::cout << "c = " << c << std::endl;
  std::cout << "c==d = " << (c==d ? "true" : "false") << std::endl;
  std::cout << "c<d = " << (c<d ? "true" : "false") << std::endl;
  std::cout << "c>d = " << (c>d ? "true" : "false") << std::endl;

  Level<2> f(SHRT_MAX);
  std::cout << "f = " << f << std::endl;

  return 0;
}
