/* Topology.
 * A common base class for QuadSubdivision and HexSubdivision
 */

#ifndef subdivision_hh
#define subdivision_hh

#include "basics/outputOperator.hh"

namespace concepts {

  // *********************************************************** Subdivision **

  /** Common base class for QuadSubdivision and HexSubdivision.
      @author Philipp Frauenfelder, 2004
      @ingroup geometry
  */
  class Subdivision : public OutputOperator {
  };

} // namespace concepts

#endif // subdivision_hh
