/* testsuite for 3D cells with geometric deadlock
 * subdivide cells
 */

#ifndef deadlock1_hh
#define deadlock1_hh

#include "basics/testcase.hh"

namespace test {

  /** Testing work around geometric deadlock problem.
      First part: subdivision of cells that do not match
      neighbouring subdivision.
      @author Philipp Frauenfelder, 2004
  */
  class DeadLock1 : public TestCase {
  public:
    virtual ~DeadLock1() {}
    virtual void run();

    /// @name Test routines
    //@{
    /// Tests subdivisions in neighbouring cells that do not match
    void testSubdivs();
    //@}
  };

} // namespace test

#endif // deadlock1_hh
