// include files for the hp3D subdirectory

#ifndef hp3D_hh
#define hp3D_hh

#include "hp3D/element.hh"
#include "hp3D/hexahedron.hh"
#include "hp3D/space.hh"
#include "hp3D/linearForm.hh"
#include "hp3D/bilinearForm.hh"
#include "hp3D/hpExtension.hh"
#include "hp3D/zerotangential.hh"
#include "hp3D/rotrot.hh"
#include "hp3D/divdiv.hh"
#include "hp3D/singularSet.hh"
#include "hp3D/shortestDist.hh"
#include "hp3D/spaceTransition.hh"
#include "hp3D/formulaFromWeight.hh"
#include "hp3D/sumfact.hh"
#include "hp3D/aprioriRef.hh"

/** 3D hp-FEM
    @author Philipp Frauenfelder, 2001
*/
namespace hp3D {
  // leave this empty, just for documentation
}

#endif // hp3D_hh
