# ########################################################### hp3D testsuite ##

project = hp3D/testsuite
import = hp3D geometry basics toolbox space graphics integration
executable = deadlock2 deadlock3
object = deadlock2.o deadlock3.o

include $(CONCEPTSDIR)/makesupport/generic.mk

# dependencies
LIBS = -lfl $(LAPACK_LIB)

deadlock2: deadlock2.o $(call expand, basics geometry toolbox space graphics integration) hp3D/continuityData.o hp3D/space.o hp3D/spaceEnrichElm.o hp3D/spaceEnforceBC.o hp3D/spaceRebuild0.o hp3D/spaceRebuild1.o hp3D/shapeFunction3d.o hp3D/hexahedron.o hp3D/hexFunctions.o hp3D/element.o hp3D/hexahedronGraphics.o hp3D/docorrectrefinement.o

deadlock3: deadlock3.o $(call expand, basics geometry toolbox space graphics integration) hp3D/continuityData.o hp3D/space.o hp3D/spaceEnrichElm.o hp3D/spaceEnforceBC.o hp3D/spaceRebuild0.o hp3D/spaceRebuild1.o hp3D/shapeFunction3d.o hp3D/hexahedron.o hp3D/hexFunctions.o hp3D/element.o hp3D/hexahedronGraphics.o hp3D/docorrectrefinement.o
