#include "quadRule.hh"

namespace concepts {

  // ******************************************** QuadratureRuleGaussLobatto **

  QuadratureRuleGaussLobatto::~QuadratureRuleGaussLobatto() {}

  std::ostream& QuadratureRuleGaussLobatto::info(std::ostream& os) const {
    return os << "QuadratureRuleGaussLobatto(n = " << n()
	      << ", computed orders: " << rule_.storedPoints() << ")";
  }

  // ********************************************* QuadratureRuleGaussJacobi **

  QuadratureRuleGaussJacobi::~QuadratureRuleGaussJacobi() {}

  std::ostream& QuadratureRuleGaussJacobi::info(std::ostream& os) const {
    return os << "QuadratureRuleGaussJacobi(n = " << n()
	      << ", computed orders: " << rule_.storedPoints() << ")";
  }

} // namespace concepts
