// include files from linDG3D directory

#ifndef linDG3D_hh
#define linDG3D_hh

#include "linDG3D/element.hh"
#include "linDG3D/elementPair.hh"
#include "linDG3D/space.hh"
#include "linDG3D/linearForm.hh"
#include "linDG3D/bilinearForm.hh"

/** DG-FEM methods to solve elliptic and hyperbolic PDE's. Implementation of
    DG-FEM classes for piecewise linear basis functions. Look in directory \c 
    app-fvdgfem for applications.

    @author Christoph Winkelmann, Adrian Burri, 2003
*/
namespace linDG3D {
  // leave empty
} // namespace linDG3D

#endif // linDG3D_hh
