// include files for the linearFEM subdirectory

#ifndef linearFEM_hh
#define linearFEM_hh

#include "linearFEM/element.hh"
#include "linearFEM/element1D.hh"
#include "linearFEM/space1D.hh"
#include "linearFEM/bilinearForm1D.hh"
#include "linearFEM/linearForm1D.hh"
#include "linearFEM/lineGraphics.hh"
#include "linearFEM/element2D.hh"
#include "linearFEM/space2D.hh"
#include "linearFEM/bilinearForm2D.hh"
#include "linearFEM/linearForm2D.hh"
#include "linearFEM/quadGraphics.hh"
#include "linearFEM/triangleGraphics.hh"
#include "linearFEM/element3D.hh"
#include "linearFEM/space3D.hh"
#include "linearFEM/tetGraphics.hh"

/** Linear FEM in 1D, 2D and 3D. These classes are used in the
    tutorials.
    @author Philipp Frauenfelder, 2002
 */
namespace linearFEM {
  // leav this emtpy, just for documentation
} // namespace linearFEM

#endif // linearFEM_hh
