# #################################### configuration i586-linux-intel7-debug ##

PERL = /usr/bin/perl

SHELL = /bin/sh

CC = /usr/local.hg/app/intel/ICC/icc80/bin/icc
CXX = /usr/local.hg/app/intel/ICC/icc80/bin/icc
D = $(CC) -MM $(CPPFLAGS)
RM = /bin/rm
MV = /bin/mv

FLEX=flex
YACC=bison
YFLAGS=-d -t -v

LIBSUFFIX = a
LDRPATH = -Wl,-rpath,

DEBUG=-DDEBUG -O0 -g
CFLAGS = $(DEBUG)
CXXFLAGS = $(DEBUG)
LDFLAGS += -L$(CONCEPTSDIR)/builds/$(config)/lib -L/usr/local.hg/app/intel/ICC/icc80/lib $(LDRPATH)/usr/local.hg/app/intel/ICC/icc80/lib $(LDRPATH)/usr/local.hg/app/intel/IFC/ifc80/lib

LAPACK_LIB = -L$(CONCEPTSDIR)/../intel-lapack-blas/LAPACK -llapack -L$(CONCEPTSDIR)/../intel-lapack-blas/BLAS -lblas -L/usr/local.hg/app/intel/IFC/ifc80/lib -lifcore

%.a.$(VERSION):
	ar r $@ $?
	ranlib $@
	ln -sf $@ $(@:.$(VERSION)=.$(MAJOR))
	ln -sf $(@:.$(VERSION)=.$(MAJOR)) $(@:.a.$(VERSION)=.a)
