# ################################################ generic lib/hp2D makefile ##
# is copied to builds/$(config)/lib/hp2D

include $(CONCEPTSDIR)/makesupport/config.mk   
include $(CONCEPTSDIR)/makesupport/$(config).mk

project = libhp2D
import = lib hp2D
library = libconceptshp2D.$(LIBSUFFIX).$(VERSION)

include $(CONCEPTSDIR)/makesupport/generic.mk

all: lib
lib:
	set -e; for i in $(import); do \
	  make -C ../$$i ;\
	done
.PHONY: lib

library += $(patsubst libconc%.$(LIBSUFFIX).$(VERSION),-lconc%,$(shell cat $(CONCEPTSDIR)/builds/$(config)/lib/export))

ifeq ($(LIBSUFFIX),a)
libconceptshp2D.$(LIBSUFFIX).$(VERSION): $(call expand, hp2D )
else
libconceptshp2D.$(LIBSUFFIX).$(VERSION): LIBS = -lconcepts
libconceptshp2D.$(LIBSUFFIX).$(VERSION): $(call expand, hp2D )
endif
