# ########################################### generic lib/linearFEM makefile ##
# is copied to builds/$(config)/liblinearFEM

include $(CONCEPTSDIR)/makesupport/config.mk   
include $(CONCEPTSDIR)/makesupport/$(config).mk

project = liblinearFEM
import = lib linearFEM
library = libconceptslinearFEM.$(LIBSUFFIX).$(VERSION)

include $(CONCEPTSDIR)/makesupport/generic.mk

all: lib
lib:
	set -e; for i in $(import); do \
	  make -C ../$$i ;\
	done
.PHONY: lib

library += $(patsubst libconc%.$(LIBSUFFIX).$(VERSION),-lconc%,$(shell cat $(CONCEPTSDIR)/builds/$(config)/lib/export))

ifeq ($(LIBSUFFIX),a)
libconceptslinearFEM.$(LIBSUFFIX).$(VERSION): $(call expand, linearFEM)
else
libconceptslinearFEM.$(LIBSUFFIX).$(VERSION): LIBS = -lconcepts
libconceptslinearFEM.$(LIBSUFFIX).$(VERSION): $(call expand, linearFEM)
endif
