# ########################################## configuration sun4u-solaris-gnu ##

PERL = /usr/local/bin/perl

SHELL = /bin/sh

CC = KCC --c
CXX = KCC --c++
D = $(CC) $(CPPFLAGS) -M
RM = /bin/rm
MV = /bin/mv

FLEX=flex
YACC=bison
YFLAGS=-d -t -v

LIBSUFFIX = so
LDRPATH = -R 

DEBUG = -fast +K3 -KPIC
CFLAGS = -g $(DEBUG)
CXXFLAGS = -g $(DEBUG)
LDFLAGS = -s -KPIC -L$(CONCEPTSDIR)/builds/$(config)/lib \
	$(LDRPATH)$(CONCEPTSDIR)/builds/$(config)/lib

VPATH = /usr/local/lib

%.so.$(VERSION):
	$(CXX) --soname $@.$(MAJOR) $(LDFLAGS) \
	  -o $@ $(LDFLAGS) $^
	ln -sf $@ $(@:.$(VERSION)=.$(MAJOR))
	ln -sf $(@:.$(VERSION)=.$(MAJOR)) $(@:.so.$(VERSION)=.so)
