/* testsuite for dense matrices
 */

#include "basics/exceptions.hh"
#include "operator/denseMatrix.hh"

int main(int, char**) {

  using namespace concepts;

  try {
    DummySpace<Real> spc2(2), spc3(3);
    std::cout << spc2 << ", " << spc3 << std::endl;

    std::cout << "=== DenseMatrix ===" << std::endl;
    DenseMatrix<Real> m(spc3, spc2);
    std::cout << m << std::endl;
  }
  catch (ExceptionBase& e) {
    std::cout << e << std::endl;
  }

  return 0;
}
