/* testsuite for spaces
 */

#include <iostream>
#include <unistd.h>
#include <typeinfo>
#include "space/space.hh"

using namespace concepts;

int main(int argc, char** argv) {

  try {
    concepts::DummySpace<Real> a(1);
    std::cout << "Real: " << a << std::endl;

    concepts::DummySpace<Cmplx> b(2);
    std::cout << "Cmplx: " << b << std::endl;
  }
  catch(ExceptionBase& e) {
    std::cout << e << std::endl;
  }

  return 0;
}
