# ############################################################### app-walser ##

project = app-walser
import = liblinearFEM
exectuable =
object =

ifeq ($(HAS_SuperLU),true)
executable += timesteps time2d
object += timesteps.o time2d.o
endif

include $(CONCEPTSDIR)/makesupport/generic.mk

# tests

test-apps: $(executable)
ifeq ($(findstring timesteps,$(executable)),timesteps)
	@echo testing timesteps
	./timesteps -l 2 -m 4 -s 2 -n 4 > timesteps.out
endif

ifeq ($(findstring time2d,$(executable)),time2d)
	@echo testing time2d
	./time2d -l 2 > time2d.out
endif

# dependencies
VPATH += $(CONCEPTSDIR)/builds/$(config)/lib

timesteps: LIBS = $(call extractLibs, liblinearFEM)
timesteps: timesteps.o $(call expand, liblinearFEM)

time2d: LIBS = $(call extractLibs, liblinearFEM)
time2d: time2d.o $(call expand, liblinearFEM)
