/* FuCo: function compiler
 */

#ifndef functionCompiler_h
#define functionCompiler_h

#define FuCo_MaxPgmSize      512
#define FuCo_MaxSentenceLen  1024

#ifdef __cplusplus
extern "C" {
#endif

  /** Parses a formula */
  int parse(const char *sentence, unsigned char *pgm);

  /** Evaluates a parsed formula */
  void  process(const unsigned char *pgm, 
		double x, double y, double z, double v[]);

#ifdef __cplusplus
}
#endif

#endif
