/* Interface to create boundary conditions
 */

#include "semantics.hh"
#include "geometry/connector.hh"

namespace concepts {

  // ********************************************************* AttributeBool **

  bool AttributeBool::operator()(Attribute attrib) const {
    return attrib != 0;
  }

  std::ostream& AttributeBool::info(std::ostream& os) const {
    return os << "Bool()";
  }

} // namespace concepts
