// include files for the hp2D subdirectory

#ifndef hp2D_hh
#define hp2D_hh

#include "hp2D/element.hh"
#include "hp2D/quad.hh"
#include "hp2D/space.hh"
#include "hp2D/bilinearForm.hh"
#include "hp2D/linearForm.hh"
#include "hp2D/rotrot.hh"
#include "hp2D/divdiv.hh"
#include "hp2D/shortestDist.hh"
#include "hp2D/singularSet.hh"
#include "hp2D/formulaFromWeight.hh"
#include "hp2D/transmissionWeight.hh"
#include "hp2D/aprioriRef2D.hh"

/** 2D hp-FEM
    @author Philipp Frauenfelder, 2001
*/
namespace hp2D {
  // leave this empty, just for documentation
}

#endif // hp2D_hh
