#ifndef spaceTest_hh
#define spaceTest_hh

#include "basics/testcase.hh"
#include "linDG2D/space.hh"

// forward declarations
namespace concepts {
  class Mesh2;
}

namespace test {

  /** Testing DGSpace2dP1
      @author Christoph Winkelmann
  */
  class DGSpace2dP1Test : public TestCase {
  public:
    virtual ~DGSpace2dP1Test() {}
    virtual void run();

    /// @name Test routines
    //@{
    void testVertices(const linDG2D::SpaceP1& s,
                      concepts::Mesh2& mesh);
    //@}
  };

} // namespace test

#endif // spaceTest_hh
