# ####################################### configuration i586-linux-gnu-debug ##

PERL = /usr/bin/perl

SHELL = /bin/sh

CC = gcc -pg
CXX = g++ -pg
D = $(CC) -MM $(CPPFLAGS)
RM = /bin/rm
MV = /bin/mv

FLEX=flex
YACC=bison
YFLAGS=-d -t -v

LIBSUFFIX = a
LDRPATH = -Wl,-rpath,

DEBUG=-DDEBUG
CFLAGS = -O2 -Wall
CXXFLAGS = -O2 -Wall
LDFLAGS += -L$(CONCEPTSDIR)/builds/$(config)/lib

%.a.$(VERSION):
	ar r $@ $^
	ranlib $@
	ln -sf $@ $(@:.$(VERSION)=.$(MAJOR))
	ln -sf $(@:.$(VERSION)=.$(MAJOR)) $(@:.a.$(VERSION)=.a)

# LAPACK
LAPACK_LIB = -llapack -lblas -lg2c
