# ############################################# configuration i586-linux-gnu ##

PERL = /usr/bin/perl

SHELL = /bin/sh

CC = gcc
CXX = g++
D = $(CC) -MM $(CPPFLAGS)
RM = /bin/rm
MV = /bin/mv

FLEX=flex
YACC=bison
YFLAGS=-d -t -v

LIBSUFFIX = so
LDRPATH = -Wl,-rpath,

DEBUG = -O2 -fPIC
CFLAGS = -g -Wall $(DEBUG)
CXXFLAGS = -g -Wall $(DEBUG)
LDFLAGS += -s $(LDRPATH)$(CONCEPTSDIR)/builds/$(config)/lib \
  -L$(CONCEPTSDIR)/builds/$(config)/lib \

%.so.$(VERSION):
	$(CXX) -s -shared -Wl,-soname,$(@:.$(VERSION)=.$(MAJOR)) \
	  -o $@ $(LDFLAGS) $^ $(LIBS)
	ln -sf $@ $(@:.$(VERSION)=.$(MAJOR))
	ln -sf $(@:.$(VERSION)=.$(MAJOR)) $(@:.so.$(VERSION)=.so)

# LAPACK
LAPACK_LIB = -llapack -lblas -lg2c
