# ################################################### generic libDG makefile ##
# is copied to builds/$(config)/liblinearFEM

include $(CONCEPTSDIR)/makesupport/config.mk   
include $(CONCEPTSDIR)/makesupport/$(config).mk

project = libDG
importObjects = linDG3D linDG1D linDG2D
import = lib liblinearFEM $(importObjects)
library = libconceptsDG.$(LIBSUFFIX).$(VERSION)

include $(CONCEPTSDIR)/makesupport/generic.mk

all: lib
lib:
	set -e; for i in $(import); do \
	  make -C ../$$i ;\
	done
.PHONY: lib

library += $(shell cat $(CONCEPTSDIR)/builds/$(config)/linDG1D/libraries)
library += $(patsubst libconc%.$(LIBSUFFIX).$(VERSION),-lconc%,$(shell cat $(CONCEPTSDIR)/builds/$(config)/lib/export))

ifeq ($(LIBSUFFIX),a)
$(library): $(call expand, $(importObjects))
else
$(library): LIBS = -lconcepts
$(library): $(call expand, $(importObjects))
endif
