# ################################################## generic libbem makefile ##
# is copied to builds/$(config)/liblinearFEM

include $(CONCEPTSDIR)/makesupport/config.mk   
include $(CONCEPTSDIR)/makesupport/$(config).mk

project = libbem
importObjects = bem bemInt cluster aglowav aglowav2
import = lib $(importObjects)
library = libconceptsbem.$(LIBSUFFIX).$(VERSION)

include $(CONCEPTSDIR)/makesupport/generic.mk

all: lib
lib:
	set -e; for i in $(import); do \
	  make -C ../$$i ;\
	done
.PHONY: lib

library += $(patsubst libconc%.$(LIBSUFFIX).$(VERSION),-lconc%,$(shell cat $(CONCEPTSDIR)/builds/$(config)/lib/export))

ifeq ($(LIBSUFFIX),a)
$(library): $(call expand, $(importObjects))
else
$(library): LIBS = -lconcepts
$(library): $(call expand, $(importObjects))
endif
