# ################################################ generic lib/hp3D makefile ##
# is copied to builds/$(config)/lib/hp3D

include $(CONCEPTSDIR)/makesupport/config.mk   
include $(CONCEPTSDIR)/makesupport/$(config).mk

project = libhp3D
import = lib hp3D
library = libconceptshp3D.$(LIBSUFFIX).$(VERSION)

include $(CONCEPTSDIR)/makesupport/generic.mk

all: lib
lib:
	set -e; for i in $(import); do \
	  make -C ../$$i ;\
	done
.PHONY: lib

library += $(patsubst libconc%.$(LIBSUFFIX).$(VERSION),-lconc%,$(shell cat $(CONCEPTSDIR)/builds/$(config)/lib/export))

ifeq ($(LIBSUFFIX),a)
libconceptshp3D.$(LIBSUFFIX).$(VERSION): $(call expand, hp3D )
else
libconceptshp3D.$(LIBSUFFIX).$(VERSION): LIBS = -lconcepts
libconceptshp3D.$(LIBSUFFIX).$(VERSION): $(call expand, hp3D )
endif
