# #################################### configuration sun4u-solaris-gnu-debug ##

PERL = /usr/local/bin/perl

SHELL = /bin/sh

CC = purify gcc
CXX = purify g++
D = gcc -MM $(CPPFLAGS)
RM = /bin/rm
MV = /bin/mv

FLEX=flex
YACC=bison
YFLAGS=-d -t -v

LIBSUFFIX = a
LDRPATH = -Wl,-R,

DEBUG=-DDEBUG -g -Wall -O0
CFLAGS = $(DEBUG)
CXXFLAGS = $(DEBUG)
LDFLAGS = -L$(CONCEPTSDIR)/builds/$(config)/lib

VPATH = /usr/local/lib /usr/local/app/petsc/lapack

%.a.$(VERSION):
	ar r $@ $^
	ranlib $@
	-ln -sf $@ $(@:.$(VERSION)=.$(MAJOR))
	-ln -sf $(@:.$(VERSION)=.$(MAJOR)) $(@:.a.$(VERSION)=.a)
