# ########################################################## space testsuite ##

project = space/testsuite
import = space basics integration geometry toolbox
executable = elementMatrix tmatrixTest smatrixTest adaptiveTest testPostPr \
	spaceTest
object = elementMatrix.o tmatrixTest.o smatrixTest.o adaptiveTest.o \
	testPostPr.o spaceTest.o

include $(CONCEPTSDIR)/makesupport/generic.mk

# dependencies

elementMatrix: elementMatrix.o $(call expand, basics) ../elementR.o

tmatrixTest: tmatrixTest.o $(call expand, basics) ../tmatrix.o ../elementR.o ../elementC.o

smatrixTest: LIBS = $(LAPACK_LIB)
smatrixTest: smatrixTest.o $(call expand, basics integration) ../tmatrix.o ../smatrix.o ../elementR.o ../elementC.o

adaptiveTest: adaptiveTest.o ../space.o $(call expand, basics)

testPostPr: LIBS = -lfl
testPostPr: testPostPr.o $(call expand, basics geometry toolbox) ../postProcess_Real.o

spaceTest: spaceTest.o  ../space.o $(call expand, basics)
