# ####################################################### sparseqr testsuite ##

project = sparseqr/testsuite
import = sparseqr
executable = qr
object = qr.o lex.o driverTest.o

include $(CONCEPTSDIR)/makesupport/generic.mk

# dependencies

qr: qr.o lex.o $(call expand, sparseqr/fill.o sparseqr/j.o sparseqr/packed.o sparseqr/mindegree.o sparseqr/qmatrix.o sparseqr/smatrix.o sparseqr/sparseqr.o)

driverTest: LIBS = $(call extractLibs, lib)
driverTest: driverTest.o $(call expand, lib)

test: input = $(wildcard $(CONCEPTSDIR)/sparseqr/testsuite/*.in $(CONCEPTSDIR)/sparseqr/testsuite/*.liu)
test: $(executable)
	rm -f *.out
ifneq ($(executable),qr)
	set -e; for i in $(filter-out qr,$(executable)); do \
	  ./$$i > $$i.out ;\
	done
endif
	set -e; for i in $(input); do \
	  j=`basename $$i` ;\
	  echo $$j ;\
	  ./qr $$i > qr.$$j.out ;\
	done
	set -e; for i in $(input); do \
	  j=`basename $$i` ;\
	  echo $$j ;\
	  ./qr $$i r > qr.$$j.out ;\
	done
