# ######################################################## toolbox testsuite ##

project = toolbox/testsuite
import = basics toolbox geometry
executable = arrayTest testBC parameters coeffItTest formulaTest
object = arrayTest.o testBC.o parameters.o coeffItTest.o formulaTest.o

include $(CONCEPTSDIR)/makesupport/generic.mk

# dependencies

arrayTest: arrayTest.o $(call expand, basics)

testBC: testBC.o toolbox/formula.o toolbox/boundary.o \
        geometry/boundaryConditions.o $(call expand, basics geometry)

parameters: LIBS = -lfl
parameters: parameters.o toolbox/resultsTable.o toolbox/inputOutput.o \
	toolbox/input.tab.o toolbox/input.yy.o \
	$(call expand, basics)

coeffItTest: coeffItTest.o $(call expand, basics)

formulaTest: LIBS = -lfl
formulaTest: formulaTest.o $(call expand, basics toolbox)
