# ######################################################### vectorial testsuite ##

project = vectorial/testsuite
import = vectorial space basics geometry toolbox function operator linearFEM \
	graphics integration hp3D
executable = tmatrix_test locallyRefined
object = tmatrix_test.o locallyRefined.o

include $(CONCEPTSDIR)/makesupport/generic.mk

# dependencies

tmatrix_test: LIBS = -lfl $(LAPACK_LIB)
tmatrix_test: tmatrix_test.o $(call expand, space basics geometry toolbox function) operator/bilinearForm.o space/elementR.o vectorial/vectorial.o vectorial/linearForm.o vectorial/linearFormHelper.o vectorial/graphics.o

locallyRefined: LIBS = $(call extractLibs,$(shell cat ../../operator/libraries)) -lfl
locallyRefined: locallyRefined.o $(call expand, vectorial space basics geometry toolbox function operator linearFEM graphics integration hp3D)
